/*
 * Name: serial.c
 * Project: AVR-Doper
 * Author: Christian Starkjohann <cs@obdev.at>
 * Creation Date: 2006-07-10
 * Tabsize: 4
 * Copyright: (c) 2006 by Christian Starkjohann, all rights reserved.
 * License: Proprietary, see documentation.
 * Revision: $Id: serial.c 223 2006-07-18 09:28:13Z cs $
 */

#include <avr/io.h>
#include <avr/interrupt.h>
#include "serial.h"
#include "hardware.h"

#if ENABLE_DEBUG_INTERFACE
ringBuffer_t    serialRingBuffer;

SIGNAL(SIG_UART_RECV)  /* runs with global interrupts enabled */
{
    uchar data = UDR;
    ringBufferWrite(&serialRingBuffer, data);
}
#endif
